Mandriva Linux Security Advisory : imagemagick (MDVSA-2009:260-1)

High Nessus Plugin ID 42075


The remote Mandriva Linux host is missing one or more security updates.


A vulnerability has been found and corrected in ImageMagick, which could lead to integer overflow in the XMakeImage function in magick/xwindow.c, allowing remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a crafted TIFF file, which triggers a buffer overflow (CVE-2009-1882).

This update fixes this vulnerability.

Update :

Packages for 2008.0 are provided for Corporate Desktop 2008.0 customers


Update the affected packages.

Plugin Details

Severity: High

ID: 42075

File Name: mandriva_MDVSA-2009-260.nasl

Version: $Revision: 1.13 $

Type: local

Published: 2009/10/09

Modified: 2013/11/19

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 8.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:imagemagick, p-cpe:/a:mandriva:linux:imagemagick-desktop, p-cpe:/a:mandriva:linux:imagemagick-doc, p-cpe:/a:mandriva:linux:lib64magick10.7.0, p-cpe:/a:mandriva:linux:lib64magick10.7.0-devel, p-cpe:/a:mandriva:linux:libmagick10.7.0, p-cpe:/a:mandriva:linux:libmagick10.7.0-devel, p-cpe:/a:mandriva:linux:perl-Image-Magick, cpe:/o:mandriva:linux:2008.0

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2009/12/05

Reference Information

CVE: CVE-2009-1882

BID: 35111

MDVSA: 2009:260-1

CWE: 189